package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.WFUIWizard;
import com.sa.ibiz.demo.demo.service.WFUIWizardService;
import com.sa.ibiz.demo.demo.service.dto.WFUIWizardSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/wfuiwizard")
public class WFUIWizardResource
{
	@Autowired
	private WFUIWizardService service;


	@PostMapping(value = "/update")
	public ResponseEntity<WFUIWizard> update(@Validated @RequestBody WFUIWizard data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流操作界面[update]操作发生错误","WFUIWizard",data.getWfuiwizardid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<WFUIWizard> getDraft(@Validated @RequestBody WFUIWizard data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流操作界面[getDraft]操作发生错误","WFUIWizard","");
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<WFUIWizard> get(@Validated @PathVariable String id){
		WFUIWizard data=new WFUIWizard();
		data.setWfuiwizardid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("工作流操作界面[get]操作发生错误","WFUIWizard",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<WFUIWizard> checkKey(@Validated @RequestBody WFUIWizard data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流操作界面[checkKey]操作发生错误","WFUIWizard",data.getWfuiwizardid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<WFUIWizard> create(@Validated @RequestBody WFUIWizard data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流操作界面[create]操作发生错误","WFUIWizard",data.getWfuiwizardid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<WFUIWizard> remove(@Validated @RequestBody WFUIWizard data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流操作界面[remove]操作发生错误","WFUIWizard",data.getWfuiwizardid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<WFUIWizard>> searchDefaultPage(@Validated @RequestBody WFUIWizardSearchFilter filter){
		Page<WFUIWizard> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<WFUIWizard>> listDefault(@Validated @RequestBody WFUIWizardSearchFilter filter){
		List<WFUIWizard> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
